List violations across the cases
Those still issued first, then contested, the oldest due first; up to 300. The field team’s, as the cases are.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
field-services
/
violations
List violations across the cases
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/violations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/violations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/violations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"case_id": "<string>",
"case_number": "<string>",
"case_title": "<string>",
"case_address_line": "<string>",
"ordinance": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"person": {
"id": "<string>",
"name": "<string>",
"address_line": "<string>"
},
"animal": {
"id": "<string>",
"name": "<string>"
},
"happened_at": "2023-11-07T05:31:56Z",
"action": "warning",
"citation_number": "<string>",
"fine_cents": 123,
"fine_due_on": "2023-12-25",
"status": "issued",
"paid_on": "2023-12-25",
"notes": "<string>",
"status_notes": "<string>",
"issued_by": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"can": {
"change": true,
"change_status": true,
"delete": true
}
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Query Parameters
⌘I
List violations across the cases
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/violations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/violations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/violations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"case_id": "<string>",
"case_number": "<string>",
"case_title": "<string>",
"case_address_line": "<string>",
"ordinance": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"person": {
"id": "<string>",
"name": "<string>",
"address_line": "<string>"
},
"animal": {
"id": "<string>",
"name": "<string>"
},
"happened_at": "2023-11-07T05:31:56Z",
"action": "warning",
"citation_number": "<string>",
"fine_cents": 123,
"fine_due_on": "2023-12-25",
"status": "issued",
"paid_on": "2023-12-25",
"notes": "<string>",
"status_notes": "<string>",
"issued_by": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"can": {
"change": true,
"change_status": true,
"delete": true
}
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
